# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See LICENSE for more details.
#
# Copyright: Red Hat Inc. 2017
# Author: Benjamin Berg <bberg@redhat.com>

from gi.repository import Gio

def status_to_icon(status):
    if status == 'PASS':
        return Gio.Icon.new_for_string('gtk-apply')
    elif status == 'WARN':
        return Gio.Icon.new_for_string('dialog-warning')
    elif status == 'CANCEL':
        return Gio.Icon.new_for_string('gtk-cancel')
    elif status == 'FAIL':
        return Gio.Icon.new_for_string('dialog-error')
    elif status == 'ERROR':
        return Gio.Icon.new_for_string('dialog-error')
    elif status == 'UNKNOWN':
        return Gio.Icon.new_for_string('dialog-question')
    else:
        # Assume in progress
        return Gio.Icon.new_for_string('dialog-question')


def status_to_description(status, interactive=False):
    if status == 'PASS':
        if interactive:
            return 'Passed (Please Confirm)'
        else:
            return 'Passed'
    elif status == 'WARN':
        if interactive:
            return 'Passed (Warnings, In Progress)'
        else:
            return 'Passed (Warnings)'
    elif status == 'CANCEL':
        if interactive:
            return 'Cancelled (Please Confirm)'
        else:
            return 'Cancelled'
    elif status == 'FAIL':
        if interactive:
            return 'Failed (Please Confirm)'
        else:
            return 'Failed'
    elif status == 'ERROR':
        if interactive:
            return 'Error (Please Confirm)'
        else:
            return 'Error'
    elif status == 'UNKNOWN':
        if interactive:
            return 'Finished (Unknown Result)'
        else:
            return 'Unknown'
    else:
        # Assume in progress
        return 'In Progress'

